<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Option : Breadcrumb Title Typo
 */
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[breadcrumb-title-typo]', array(
			'default'           =>  '',
			'type'              => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_tweek' ),
		)
	);

	$wp_customize->add_control(
		new OFIZ_Customize_Control_Typography(
			$wp_customize, OFIZ_THEME_SETTINGS . '[breadcrumb-title-typo]', array(
				'type'    => 'dt-typography',
				'section' => 'site-breadcrumb-typography-section',
				'label'   => esc_html__( 'Title', 'ofiz'),
			)
		)
	);

	/**
	 * Divider : Breadcrumb Title Typo Bottom
	 */
	$wp_customize->add_control(
		new OFIZ_Customize_Control_Separator(
			$wp_customize, OFIZ_THEME_SETTINGS . '[breadcrumb-title-typo-bottom-separator]', array(
				'type'     => 'dt-separator',
				'section'  => 'site-breadcrumb-typography-section',
				'settings' => array(),
			)
		)
	);		

/**
 * Option : Breadcrumb Typo
 */
	$wp_customize->add_setting(
		OFIZ_THEME_SETTINGS . '[breadcrumb-typo]', array(
			'default'   =>  '',
			'type'      => 'option',
			'sanitize_callback' => array( 'OFIZ_Customizer_Sanitizes', 'sanitize_tweek' ),			
		)
	);

	$wp_customize->add_control(
		new OFIZ_Customize_Control_Typography(
			$wp_customize, OFIZ_THEME_SETTINGS . '[breadcrumb-typo]', array(
				'type'    => 'dt-typography',
				'section' => 'site-breadcrumb-typography-section',
				'label'   => esc_html__( 'Breadcrumb', 'ofiz'),
			)
		)
	);